#######################################
# Librairie de gestion de l'affichage #
# package he-dialog                   #
#######################################

global PARAM

set heDialogExiste false
catch {package require he-dialog;set heDialogExiste true}

if {! $heDialogExiste} {
  # le package n'est pas install => on tente de l'excuter d'ici :
  catch {
    namespace eval ::he::dialog {}
    set dir [file join $PARAM(rep) "Lib" "dialogDir"]
    set ::he::dialog::dir $dir
    source [file join $dir tkfbox.tcl]
    source [file join $dir choosedir.tcl]
    source [file join $dir msgbox.tcl]
    source [file join $dir bgerror.tcl]
    source [file join $dir colorBox.tcl]
    source [file join $dir he-dialog.tcl]
    set heDialogExiste true
  }
}

if {$heDialogExiste} {
  windowFit .
} else {
  msgBox "Le programme a rencontr une erreur lors de l'activation du package he-dialog et cela peut entraner des problmes d'affichage... Mettez  jour eTcl : cela devrait rsoudre le problme !" "he-dialog manquant" "ok" "warning"
}
